Skip to main content
GET
/
search
/
research
/
github
Search GitHub history
curl --request GET \
  --url https://api.firecrawl.dev/v2/search/research/github \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "results": [
    {
      "resultType": "issue",
      "repo": "firecrawl/firecrawl",
      "url": "https://github.com/firecrawl/firecrawl/issues/123",
      "pageType": "issue",
      "number": 123,
      "segmentCount": 2,
      "title": "Worker shutdown race",
      "snippet": "Queue worker shutdown can lose completion signals...",
      "contentMd": "Full matched markdown content when available.",
      "scores": {
        "semantic": 0.82
      }
    }
  ]
}
Search GitHub issue/PR history, discussions, and repository READMEs. Results include repository metadata, URLs, snippets, and matched markdown content when available. For a workflow overview, see the Research Index guide.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

query
string
required

Natural-language query for GitHub issues, pull requests, discussions, and repository READMEs.

Minimum string length: 1
k
integer
default:20

Maximum number of GitHub results to return.

Required range: 1 <= x <= 100

Response

Ranked GitHub history/readme results.

success
boolean
required
results
object[]
required